<?php
if ( ! function_exists( 'blessing_page_header' ) ) {
    function blessing_page_header() {   
        $pheader = '';     
        if ( is_page() ) {
            if ( function_exists('rwmb_meta') ) {
                $pheader = rwmb_meta('_cmb_pheader_switch');
                if ( ! $pheader ) {
                    return;
                }
            }
        }                    
        if ( blessing_get_option( 'pheader_switch', true ) == false && ! $pheader ) { 
            echo '<div class="no-subheader"></div>';
        } else {
            $bg     = '';
            $title  = '';
            $output = array();

            if ( is_home() ) {
                $title = get_the_title( get_option( 'page_for_posts' ) );
            } elseif ( is_search() ) {
                $title = esc_html__('Search Results for: ', 'blessing') . get_search_query();
            } elseif ( is_archive() ) {
                $title = get_the_archive_title();
            } else {
                $title = get_the_title();
            }            
            
            if ( is_archive() || is_search() ) {
                $bg = blessing_get_option( 'blog_topbg' );
            } elseif ( is_404() ) {
                $bg = blessing_get_option( '404_topbg' );
            } elseif ( class_exists( 'woocommerce' ) && is_shop() ) {  
                $bg = blessing_get_option( 'shop_topbg' );
            } elseif ( is_page() || is_singular( array( 'post', 'tribe_events', 'sermons', 'product' ) ) ) {
                if ( function_exists('rwmb_meta') ) {
                    $images = rwmb_meta('_cmb_image', "type=image");
                    if ( $images != '' ) {
                        foreach ( $images as $image ) {
                            $bg = $image['full_url'];
                            break;
                        }
                    } else {
                        $bg = blessing_get_option( 'default_topbg' );
                    }   
                } else {
                    $bg = blessing_get_option( 'default_topbg' );
                }
            } else {
                $bg = blessing_get_option( 'default_topbg' );
            }           

            if ($title) {
                $output[] = sprintf('%s', $title);
            }

        ?>        
            <section id="subheader" data-speed="2" data-type="background" <?php if ($bg) { ?> style="background-image: url(<?php echo esc_url($bg); ?>);" <?php } ?> >
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <?php if ( class_exists( 'woocommerce' ) && is_woocommerce() ) { ?>
                                <?php if( !is_product() ){ ?>
                                    <?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
                                        <h1 class="woocommerce-products-header__title entry-title"><?php woocommerce_page_title(); ?></h1>
                                    <?php endif; ?>                            
                                <?php }else{ ?>
                                    <?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
                                <?php } ?> 
                            <?php } else { ?>
                                <h1 class="entry-title"><?php echo implode('', $output); ?></h1>
                            <?php } ?>                                            
                        </div>
                    </div>
                </div>
            </section>
            <div class="clearfix"></div>
        <?php
        }
    }
}