<?php
/**
 * Template Name: Blog
 */
get_header(); ?>

<!-- content begin -->
<div id="content">
    <div class="container">
        <div class="row">

            <?php if( blessing_get_option('blog_layout') == '2coll' ){  ?>
                <div class="col-md-4">                    
                    <?php get_sidebar(); ?>
                </div>
            <?php } ?>

            <div class="<?php if( blessing_get_option('blog_layout') == '1col' ){ echo 'col-md-12'; }else{ echo 'col-md-8'; } ?>">
                <div class="blog-post <?php if( blessing_get_option('blog_style') == 'blog-list' ){ echo 'blog-list'; }else{ echo 'blog-grid'; } ?>">
                    <?php if(have_posts()) : ?>  
                        <?php 
                            $args = array(    
                              'paged' => $paged,
                              'post_type' => 'post',
                            );
                            $wp_query = new WP_Query($args);
                            while ($wp_query -> have_posts()): $wp_query -> the_post();                         
                            /*
                             * Include the Post-Format-specific template for the content.
                             * If you want to override this in a child theme, then include a file
                             * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                             */
                            get_template_part( 'template-parts/post/content', get_post_format() );
                        ?> 
                    <?php endwhile;?>         
                    <?php else: ?>
                        <h1><?php _e('Nothing Found Here!', 'blessing'); ?></h1>
                    <?php endif; ?>        
                </div>

                <div class="clearfix"></div>
                <div class="text-center ">
                    <?php blessing_pagination(); ?>
                </div>
            </div>

            <?php if( blessing_get_option('blog_layout') == '2colr' ){  ?>
                <div class="col-md-4">                    
                    <?php get_sidebar(); ?>
                </div>
            <?php } ?>

        </div>

    </div>
</div>
<!-- content close -->

<?php get_footer(); ?>