<?php 
// OT Upcoming Events
add_shortcode('event_post','event_post_func');
function event_post_func($atts, $content = null){
	extract(shortcode_atts(array(
		'number'	=>		'',
		'title'   =>		'',
		'stitle' =>		'',
		'featured_events'  =>	'no',
		'event_display' =>		'upcoming_event',
		'start_date' =>		'',
		'end_date' =>		'',
		'linkbox' =>  '',
		'order_by' => 'meta_value',
		'sort_order' => 'ASC',
	), $atts));
	$number1 = (!empty($number) ? $number : 5);	
	$url = vc_build_link( $linkbox );
	$eventtype = '';
	if ($event_display == 'past_event') {
		$eventtype = 'past';
	}elseif ($event_display == 'custom_event') {
		$eventtype = 'custom';
	}elseif ($event_display == 'all_event') {
		$eventtype = '';
	}else{
		$eventtype = 'upcoming';
	}

	$featured_events1 = '';
	if ($featured_events == 'yes') {
		$featured_events1 = true;
	}else{
		$featured_events1 = false;
	}		

	ob_start(); ?>	

	<div class="fullwidth">
        <div class="one-fourth text-center">
            <div class="title-area wow slideInLeft">
                <?php if($stitle != ''){ ?><span><?php echo esc_attr($stitle); ?></span><?php } ?>
                <?php if($title != ''){ ?><h1><?php echo esc_attr($title); ?></h1><?php } ?>                
				<?php if ( strlen( $linkbox ) > 0 && strlen( $url['url'] ) > 0 ) {
					echo '<div class="divider-single"></div>';
					echo '<a class="btn btn-slider" href="' . esc_attr( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">' . esc_attr( $url['title'] ) . '</a>';
				} ?>
            </div>
        </div>

        <div class="three-fourth">
            <div class="fx custom-carousel-1">
	            <?php if ( class_exists( 'Tribe__Events__Main' ) ) { ?>
	            	<?php 
					    // Ensure the global $post variable is in scope
						global $post;
						 
						// Retrieve the next 5 upcoming events
						$events = tribe_get_events( array(
							'eventDisplay'   => $eventtype,
						    'posts_per_page' => $number1,
						    'start_date'   => $start_date,
	    					'end_date'     => $end_date,
	    					'featured'       => $featured_events1,
							'meta_key' => '_EventStartDate',
							'orderby'   => $order_by,							
							'order' => $sort_order,	
						) );
						 
						// Loop through the events: set up each one as
						// the current post then use template tags to
						// display the title and content
						foreach ( $events as $post ) {
						    setup_postdata( $post );      
						        
				    ?>
		                <div class="item">
		                    <div class="overlay">
		                        <span class="time"><?php echo tribe_get_start_date( null, false, 'F j, Y' ); ?></span>
		                        <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
		                        <span class="desc"><?php echo get_the_excerpt(); ?></span>
		                    </div>
		                    <?php 
				        		if ( has_post_thumbnail() ) {
				        			the_post_thumbnail( 'events-homepage-thumb' );
				        		}	
							?>
		                </div>
		            <?php } ?>   
		        <?php } ?>    
            </div>
        </div>
    </div>
    <div class="clearfix"></div>

<?php
    return ob_get_clean();
}

// OT Upcoming Events 2
add_shortcode('event_post2','event_post2_func');
function event_post2_func($atts, $content = null){
	extract(shortcode_atts(array(
		'number'	=>		'',
		'title'   =>		'',
		'featured_events'  =>	'no',
		'event_display' =>		'upcoming_event',
		'start_date' =>		'',
		'end_date' =>		'',
		'order_by' => 'meta_value',
		'sort_order' => 'ASC',
	), $atts));
	$number1 = (!empty($number) ? $number : 5);	

	$eventtype = '';
	if ($event_display == 'past_event') {
		$eventtype = 'past';
	}elseif ($event_display == 'custom_event') {
		$eventtype = 'custom';
	}elseif ($event_display == 'all_event') {
		$eventtype = '';
	}else{
		$eventtype = 'upcoming';
	}

	$featured_events1 = '';
	if ($featured_events == 'yes') {
		$featured_events1 = true;
	}else{
		$featured_events1 = false;
	}

	ob_start(); ?>	

    <div class="fx custom-carousel-1">
	    <?php if ( class_exists( 'Tribe__Events__Main' ) ) { ?>
	    	<?php 
			    // Ensure the global $post variable is in scope
				global $post;
				 
				// Retrieve the next 5 upcoming events
				$events = tribe_get_events( array(
					'eventDisplay'   => $eventtype,
				    'posts_per_page' => $number1,
				    'start_date'   => $start_date,
					'end_date'     => $end_date,
					'featured'       => $featured_events1,
					'meta_key' => '_EventStartDate',
					'orderby'   => $order_by,
					'order' => $sort_order,		
				) );
				 
				// Loop through the events: set up each one as
				// the current post then use template tags to
				// display the title and content
				foreach ( $events as $post ) {
				    setup_postdata( $post );      
				        
		    ?>
	            <div class="item">
	                <div class="overlay">
	                    <span class="time"><?php echo tribe_get_start_date( null, false, 'F j, Y' ); ?></span>
	                    <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
	                    <span class="desc"><?php echo get_the_excerpt(); ?></span>
	                </div>
	                <?php 
		        		if ( has_post_thumbnail() ) {
		        			the_post_thumbnail( 'events-homepage-thumb' );
		        		}	
					?>
	            </div>
	        <?php } ?> 
	    <?php } ?>       
    </div>

<?php
    return ob_get_clean();
}

// OT Upcoming Events Grid
add_shortcode('event_post3','event_post3_func');
function event_post3_func($atts, $content = null){
	extract(shortcode_atts(array(
		'number'	=>		'',
		'title'   =>		'',
		'featured_events'  =>	'no',
		'event_display' =>		'upcoming_event',
		'start_date' =>		'',
		'end_date' =>		'',
		'order_by' => 'meta_value',
		'sort_order' => 'ASC',
	), $atts));
	$number1 = (!empty($number) ? $number : 5);	
	$eventtype = '';
	if ($event_display == 'past_event') {
		$eventtype = 'past';
	}elseif ($event_display == 'custom_event') {
		$eventtype = 'custom';
	}elseif ($event_display == 'all_event') {
		$eventtype = '';
	}else{
		$eventtype = 'upcoming';
	}

	$featured_events1 = '';
	if ($featured_events == 'yes') {
		$featured_events1 = true;
	}else{
		$featured_events1 = false;
	}
	$time_format = get_option( 'time_format' );
	ob_start(); ?>	

	<div class="blessing-events-grid">
		<?php if ( class_exists( 'Tribe__Events__Main' ) ) { ?>
			<?php 
			    // Ensure the global $post variable is in scope
				global $post;
				$i = 1; 
				// Retrieve the next 5 upcoming events
				$events = tribe_get_events( array(
					'eventDisplay'   => $eventtype,
				    'posts_per_page' => $number1,
				    'start_date'   => $start_date,
					'end_date'     => $end_date,
					'featured'       => $featured_events1,
					'meta_key' => '_EventStartDate',
					'orderby'   => $order_by,
					'order' => $sort_order,		
				) );
				 
				// Loop through the events: set up each one as
				// the current post then use template tags to
				// display the title and content
				foreach ( $events as $post ) { 
				    setup_postdata( $post );      
				        
		    ?>
			    
		    	<!-- event item begin -->
				<div class="col-md-6 event-item">
					<div class="wow fadeInRight" data-wow-delay="<?php $j = $i*250; echo esc_attr($j); ?>ms">
			            <div class="inner">
			                <div class="left-col">
			                    <?php 
					        		if ( has_post_thumbnail() ) {
					        			the_post_thumbnail( 'events-homepage-thumb' );
					        		}	
								?>
			                </div>
			                <div class="right-col">
			                    <span class="date"><?php echo tribe_get_start_date( null, false, 'd' ); ?></span>
			                    <span class="month"><?php echo tribe_get_start_date( null, false, 'M' ); ?></span>
			                    <span class="time"><?php echo tribe_get_start_date( null, false, $time_format ); ?></span>
			                </div>
			            </div>
			            <div class="desc">
			                <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
			                <span class="text"><?php echo get_the_excerpt(); ?></span>
			            </div>
					</div>
		        </div>
		        <!-- event item close -->
			    
		    <?php $i++;} ?>
		<?php } ?>      
    </div>  

<?php
    return ob_get_clean();
}

// Envents Count Down
add_shortcode('event_countdown','event_countdown_func');
function event_countdown_func($atts, $content = null){
	extract(shortcode_atts(array(
		'timecountdown'	=>		'',
		'title'         =>		'',
		'day'           =>		'',
		'days'          =>		'',
		'hour'          =>		'',
		'hours'         =>		'',
		'minute'        =>		'',
		'minutes'       =>		'',
		'second'        =>		'',
		'seconds'       =>		'',
	), $atts));
	$time = (!empty($timecountdown) ? $timecountdown : '12/10/2018 12:00:00');	
	$day1 = (!empty($day) ? $day : 'Day');	
	$days1 = (!empty($days) ? $days : 'Days');
	$hour1 = (!empty($hour) ? $hour : 'Hour');
	$hours1 = (!empty($hours) ? $hours : 'Hours');
	$minute1 = (!empty($minute) ? $minute : 'Minute');
	$minutes1 = (!empty($minutes) ? $minutes : 'Minutes');
	$second1 = (!empty($second) ? $second : 'Second');
	$seconds1 = (!empty($seconds) ? $seconds : 'Seconds');
	$id = uniqid( 'time-countdown-' );
	
	// $min    = 60 * get_option('gmt_offset');
	// $sign   = $min < 0 ? "-" : "+";
	// $absmin = abs($min);
	// $tz     = sprintf("%s%02d:%02d", $sign, $absmin/60, $absmin%60);
	
	$tzad   = get_option('gmt_offset'); 	
	$tzad1 = (!empty($tzad) ? $tzad : '-5');

	ob_start(); ?>	

	<ul id="<?php echo esc_attr($id); ?>" class="countdown">
		<li> 
			<span class="days">00</span>
			<p class="days_text"><?php echo esc_attr($days1);  ?></p>
		</li>
		<li>
			<span class="hours">00</span>
			<p class="hours_text"><?php echo esc_attr($hours1);  ?></p>
		</li>
		<li> 
			<span class="minutes">00</span>
			<p class="minutes_text"><?php echo esc_attr($minutes1);  ?></p>
		</li>
		<li>
			<span class="seconds">00</span>
			<p class="seconds_text"><?php echo esc_attr($seconds1);  ?></p>
		</li>
    </ul>
    <script type="text/javascript">
    	(function($) { "use strict";
        	//Timer
		    $('#<?php echo esc_attr($id); ?>').countdown({
		        date: '<?php echo esc_attr($time); ?>',
		        offset: <?php echo esc_attr($tzad1); ?>,
				day: '<?php echo esc_attr($day1);  ?>',
				days: '<?php echo esc_attr($days1);  ?>',
				hour: '<?php echo esc_attr($hour1);  ?>',
				hours: '<?php echo esc_attr($hours1);  ?>',
				minute: '<?php echo esc_attr($minute1);  ?>',
				minutes: '<?php echo esc_attr($minutes1);  ?>',
				second: '<?php echo esc_attr($second1);  ?>',
				seconds: '<?php echo esc_attr($seconds1);  ?>'
		    }, function () {
		        //alert('WOOT WOOT, done!');
		    });
	    })(jQuery);
    </script>

<?php
    return ob_get_clean();
}

// OT Envents Auto Next CountDown
add_shortcode('events_auto_next_countdown','events_auto_next_countdown_func');
function events_auto_next_countdown_func($atts, $content = null){
	extract(shortcode_atts(array(
		'title'         =>		'',
		'day'           =>		'',
		'days'          =>		'',
		'hour'          =>		'',
		'hours'         =>		'',
		'minute'        =>		'',
		'minutes'       =>		'',
		'second'        =>		'',
		'seconds'       =>		'',
	), $atts));
	$day1 = (!empty($day) ? $day : 'Day');	
	$days1 = (!empty($days) ? $days : 'Days');
	$hour1 = (!empty($hour) ? $hour : 'Hour');
	$hours1 = (!empty($hours) ? $hours : 'Hours');
	$minute1 = (!empty($minute) ? $minute : 'Minute');
	$minutes1 = (!empty($minutes) ? $minutes : 'Minutes');
	$second1 = (!empty($second) ? $second : 'Second');
	$seconds1 = (!empty($seconds) ? $seconds : 'Seconds');
	$id = uniqid( 'time-countdown-' );
	
	$tzad   = get_option('gmt_offset'); 	
	$tzad1 = (!empty($tzad) ? $tzad : '-5');
	
	$date_format = get_option( 'date_format' );
	$time_format = get_option( 'time_format' );
	
	$date_time = $date_format . ' ' . $time_format;

	ob_start(); ?>	

	<?php if ( class_exists( 'Tribe__Events__Main' ) ) { ?>
		<?php 
			// Ensure the global $post variable is in scope
			global $post;
			// Retrieve the next 1 upcoming events
			$events = tribe_get_events( array(
				'start_date'     => 'now',
				'eventDisplay'   => 'list',
				'posts_per_page' => 1,	
			) );
			 
			// Loop through the events: set up each one as
			// the current post then use template tags to
			// display the title and content
			foreach ( $events as $post ) { 
				setup_postdata( $post );      
				$time = tribe_get_start_date( null, false, 'm/d/Y g:i' );
		?>			    
			<div class="container">
				<div class="row text-center">
					<div class="col-md-6 wow fadeInLeft countdown-container">
						<h3><?php the_title(); ?></h3>
						<p><span class="time"><?php echo tribe_get_start_date( null, false, $date_time ); ?></span></p>
					</div>

					<div class="col-md-6 wow fadeInRight" data-wow-delay=".25s">
						<ul id="<?php echo esc_attr($id); ?>" class="countdown">
							<li> 
								<span class="days">00</span>
								<p class="days_text"><?php echo esc_attr($days1); ?></p>
							</li>
							<li>
								<span class="hours">00</span>
								<p class="hours_text"><?php echo esc_attr($hours1); ?></p>
							</li>
							<li> 
								<span class="minutes">00</span>
								<p class="minutes_text"><?php echo esc_attr($minutes1); ?></p>
							</li>
							<li>
								<span class="seconds">00</span>
								<p class="seconds_text"><?php echo esc_attr($seconds1); ?></p>
							</li>
						</ul>
						<script type="text/javascript">
							(function($) { "use strict";
								//Timer
								$('#<?php echo esc_attr($id); ?>').countdown({
									date: '<?php echo esc_attr($time); ?>',
									offset: <?php echo esc_attr($tzad1); ?>,
									day: '<?php echo esc_attr($day1);  ?>',
									days: '<?php echo esc_attr($days1);  ?>',
									hour: '<?php echo esc_attr($hour1);  ?>',
									hours: '<?php echo esc_attr($hours1);  ?>',
									minute: '<?php echo esc_attr($minute1);  ?>',
									minutes: '<?php echo esc_attr($minutes1);  ?>',
									second: '<?php echo esc_attr($second1);  ?>',
									seconds: '<?php echo esc_attr($seconds1);  ?>'
								}, function () {
									//alert('WOOT WOOT, done!');
								});
							})(jQuery);
						</script>
					</div>
				</div>
			</div>			    
		<?php } ?>
	<?php } ?> 
<?php
    return ob_get_clean();
}

// OT Button
add_shortcode('ot_button','ot_button_func');
function ot_button_func($atts, $content = null){
	extract(shortcode_atts(array(		
		'btn_link'	=>  '',	
		'btn_style' =>  'btn_default',
		'icon_fontawesome' => '',
		'btn_type' => 'normal',
	), $atts));
	$url = vc_build_link( $btn_link );
	$id = uniqid();
	$btn_class = '';
	$btnicon = '';
	if ($btn_style === 'btn_dark') {
		$btn_class = 'btn-dark';
	}elseif ($btn_style === 'btn_light') {
		$btn_class = 'btn-light';
	}elseif ($btn_style === 'btn_icon') {
		$btn_class = 'btn-icon';
		$btnicon = '<i class="'. $icon_fontawesome . '"></i>';
	}else{
		$btn_class = 'st-btn';
	}	
	ob_start(); 
?>	
	<?php if ($btn_type == 'video') { ?>
		<?php if ( strlen( $btn_link ) > 0 && strlen( $url['url'] ) > 0 ) {
			echo '<a class="popup-youtube ' . esc_attr($btn_class) . ' " href="' . esc_attr( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">' . $btnicon . esc_attr( $url['title'] ) . '</a>';
		} ?>
	<?php }elseif ($btn_type == 'audio') { ?>
		<?php if ( strlen( $btn_link ) > 0 && strlen( $url['url'] ) > 0 ) {
			echo '<a id="open-popup-link' . esc_attr($id) . '" class="audio-popup ' . esc_attr($btn_class) . ' " href="#audio-content-popup' . esc_attr($id) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">' . $btnicon . esc_attr( $url['title'] ) . '</a>';
		} ?>
		<!-- Popup itself -->
		<div id="audio-content-popup<?php echo esc_attr($id); ?>" class="blessing-sermon-inline-media mfp-hide">              
			<audio preload="none" controls style="max-width:100%;">
				<?php if ( strlen( $btn_link ) > 0 && strlen( $url['url'] ) > 0 ) { ?>
					<source src="<?php echo esc_url( $url['url'] ); ?>" type="audio/mp3"> 
				<?php } ?>
			</audio>
		</div>
		<script type="text/javascript">
			(function($) { "use strict";          
			  $('#open-popup-link<?php echo esc_attr($id); ?>').magnificPopup({
				type:'inline',
				midClick: true // allow opening popup on middle mouse click. Always set it to true if you don't provide alternative source.
			  });
			})(jQuery);
		</script>
	<?php }else{ ?>
		<?php if ( strlen( $btn_link ) > 0 && strlen( $url['url'] ) > 0 ) {
			echo '<a class=" ' . esc_attr($btn_class) . ' " href="' . esc_attr( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">' . $btnicon . esc_attr( $url['title'] ) . '</a>';
		} ?>
	<?php } ?>
<?php
    return ob_get_clean();
}

// OT Sermons List
add_shortcode('sermons_post','sermons_post_func');
function sermons_post_func($atts, $content = null){
	extract(shortcode_atts(array(
		'number' =>	'',
		'hide_show_meta' => 'enable',
		'download_audio' => 'disable',
		'idcate_sermon' => '',
	), $atts));
	$number1 = (!empty($number) ? $number : 3);
	ob_start(); 
?>
	<!-- OT Sermons List -->
	<div class="ot-sermons-list">
		<?php
			if ($idcate_sermon != '') {
	    		$args = array(
					'tax_query' => array(
						array(
							'taxonomy' => 'sermons-category',
							'field' => 'slug',
							'terms' => explode(',',$idcate_sermon)
						),
					),
					'post_type' => 'sermons',
					'showposts' => $number1,
				);
	    	}else{
	        	$args = array(
					'post_type' => 'sermons',
					'showposts' => $number1,
				);
	        }
			$sermons = new WP_Query($args);
			if($sermons->have_posts()) : while($sermons->have_posts()) : $sermons->the_post();
			$video_link = get_post_meta( get_the_ID(), '_cmb_link_video', true ); 
			$audio_link = get_post_meta( get_the_ID(), '_cmb_link_audio', true ); 
			$file_link = get_post_meta( get_the_ID(), '_cmb_link_file', true );
			$custom_date = get_post_meta( get_the_ID(), '_cmb_sermons_date', true );
			$speakers_name = get_post_meta( get_the_ID(), '_cmb_speakers_name', true );
			$speakers_link = get_post_meta( get_the_ID(), '_cmb_speakers_link', true );

			$speakers_name_link = (!empty($speakers_link) ? ' <a href="'.esc_url( $speakers_link ).'">'.esc_attr( $speakers_name ).'</a>' : esc_attr( $speakers_name ) );

		?>
			<div class="custom-col-3 wow flipInX">
		        <div class="left-col">
		            <?php 
		              // Check if the post has a Post Thumbnail assigned to it.
		              if ( has_post_thumbnail() ) {
		                  the_post_thumbnail('medium', array('class' => 'img-responsive'));
		              } 
		            ?>                      
		        </div>
		        <div class="mid-col">
		            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>   
		            <?php if($hide_show_meta != 'disable'){ ?>
			            <div class="details">
				            <span> 
				            	<?php 
				            	if( $speakers_name != '' ){ 
				            		echo esc_attr__( 'By', 'otvcp-i10n' ) .' '. $speakers_name_link .',';
				            	}else{ ?>
				            		<?php _e( 'By', 'otvcp-i10n' ); ?> <?php the_author_posts_link(); ?>,
				            	<?php } ?>
				            	<?php                             
		                            if ( !empty( $custom_date ) ) {
		                              echo date( get_option( 'date_format' ) . ' ' . get_option( 'time_format' ), $custom_date );
		                            }else{
		                              the_time( get_option( 'date_format' ) );
		                            } 
		                        ?>
				            </span>
			            </div>
		            <?php } ?>
		        </div>
		        <div class="right-col">
					<?php if ($video_link != '') { ?><a class="popup-youtube" href="<?php echo esc_url($video_link); ?>"><i class="fa fa-video-camera"></i></a><?php } ?>

					<?php if ($audio_link != '') { ?>
						<?php if($download_audio == 'enable'){ ?>
							<a class="audio-popup" href="<?php echo esc_url($audio_link); ?>"><i class="fa fa-volume-up"></i></a>
						<?php }else{ ?>	
							<a id="open-popup-link<?php the_ID(); ?>" class="audio-popup" href="#audio-content-popup<?php the_ID(); ?>"><i class="fa fa-volume-up"></i></a>
							<!-- Popup itself -->
							<div id="audio-content-popup<?php the_ID(); ?>" class="blessing-sermon-inline-media mfp-hide">					  	
					            <audio preload="none" controls style="max-width:100%;">
					                <source src="<?php echo esc_url($audio_link); ?>" type="audio/mp3">                 
					            </audio>
							</div>
							<script type="text/javascript">
								(function($) { "use strict"; 					
									$('#open-popup-link<?php the_ID(); ?>').magnificPopup({
									  type:'inline',
									  midClick: true // allow opening popup on middle mouse click. Always set it to true if you don't provide alternative source.
									});
								})(jQuery);
							</script>
						<?php } ?>

					<?php } ?>

					<?php if ($file_link != '') { ?><a href="<?php echo esc_url($file_link); ?>" target="_blank"><i class="fa fa-file-pdf-o"></i></a><?php } ?>
		        </div>
		    </div>
	    <?php endwhile; wp_reset_postdata(); endif; ?>	
    </div>

<?php
    return ob_get_clean();
}

// OT Latest Blog
add_shortcode('latestblog','latestblog_func');
function latestblog_func($atts, $content = null){
	extract(shortcode_atts(array(
		'number'	=>		'',
		'title'	=>		'',
		'stitle'	=>		'',
		'excerpt_lenght' => '',
		'linkbox' =>  '',
		'hide_show_meta' => 'enable',
		'idcate_post' => '',
	), $atts));
	$number1 = (!empty($number) ? $number : 6);
	$excerpt_lenght1 = (!empty($excerpt_lenght) ? $excerpt_lenght : 15);
	$url = vc_build_link( $linkbox );
	ob_start(); ?>	

	<!-- OT Latest Blog -->
	<div class="ot-blog-grid fullwidth">
        <div class="one-fourth text-center">
            <div class="title-area wow slideInLeft">
                <?php if($stitle != ''){ ?><span><?php echo esc_attr($stitle); ?></span><?php } ?>
                <?php if($title != ''){ ?><h1><?php echo esc_attr($title); ?></h1><?php } ?>                
				<?php if ( strlen( $linkbox ) > 0 && strlen( $url['url'] ) > 0 ) {
					echo '<div class="divider-single"></div>';
					echo '<a class="btn btn-slider" href="' . esc_attr( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">' . esc_attr( $url['title'] ) . '</a>';
				} ?>
            </div>
        </div>

        <div class="three-fourth">
            <div class="custom-carousel-2">
            	<?php 
            		$i = 0;				
				    if ($idcate_post != '') {
						$args = array(   
							'post_type' => 'post', 
							'post_status' => 'publish',
							'tax_query' => array(
								array(
									'taxonomy' => 'category',
									'field' => 'slug',
									'terms' => explode(',',$idcate_post),
								),
							),					        
							'posts_per_page' => $number1,
						); 
					}else{
						$args = array(   
							'post_type' => 'post',   
							'posts_per_page' => $number1,
						); 
					} 					
				    $wp_query = new WP_Query($args);
				    while($wp_query->have_posts()) : $wp_query->the_post(); $i++;
			    ?>
	                <div class="item-blog <?php if($i%2==0){ echo 'even'; } ?>">
	                    <div class="inner">
	                    	<?php if($hide_show_meta != 'disable'){ ?>
	                        	<span class="date"><?php the_time('j F'); ?></span>
	                        <?php } ?>
	                        <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
	                        <span class="desc"><?php echo blessing_excerpt($excerpt_lenght1); ?></span>
	                    </div>
	                </div>
                <?php endwhile; wp_reset_postdata(); ?>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>

<?php
    return ob_get_clean();
}

// OT Gallery Images
add_shortcode('img_gallery','img_gallery_func');
function img_gallery_func($atts, $content = null){
	extract(shortcode_atts(array(
		'gallery'		=> 	'',
	), $atts));
	$id = uniqid( 'gallery-images-popup-' );
	ob_start(); ?>	

	<!-- OT Gallery Images -->
	<div id="gallery-isotope" class="gallery-isotope grid-image-gallery">
		<?php 
			$img_ids = explode(",",$gallery);
			foreach( $img_ids AS $img_id ){
			$meta = wp_prepare_attachment_for_js($img_id);
			$caption = $meta['caption'];
			$title = $meta['title'];
			$alt = $meta['alt'];	
			$description = $meta['description'];
			$image_src = wp_get_attachment_image_src($img_id,''); 
		?>
			<div class="item <?php if($caption != ''){echo esc_attr($caption);}else{ echo 'small-pic';} ?>">
	            <a href="<?php echo esc_url( $image_src[0] ); ?>" class="<?php echo esc_attr($id); ?>" title="<?php echo esc_attr($title); ?>"><span class="overlay"></span></a>
	            <img src="<?php echo esc_url( $image_src[0] ); ?>" alt="<?php echo esc_attr($alt); ?>">
	        </div>         	
        <?php } ?>               
    </div>  

    <script type="text/javascript">
	    jQuery(document).ready(function() {  
	   		'use strict';
	   		jQuery('.<?php echo esc_attr($id); ?>').magnificPopup({
				type: 'image',
				closeOnContentClick: false,
				closeBtnInside: false,
				mainClass: 'mfp-with-zoom mfp-img-mobile',
				image: {
					verticalFit: true,
					titleSrc: function(item) {
						return item.el.attr('title');						
					}
				},
				gallery: {
					enabled: true
				}		
			}); 
		 });
    </script>
	
<?php 
	return ob_get_clean();
}

// OT Testimonials
add_shortcode('ot_testimonials', 'ot_testimonials_func');
function ot_testimonials_func($atts, $content = null){
   extract(shortcode_atts(array(
      'title'   => '',
      'testimonials' => '',
      'extra_class'  => '',
   ), $atts));
   $testimonials = (array) vc_param_group_parse_atts( $testimonials );   
   ob_start(); 
?>
	<!-- OT Testimonials Slider -->
	<div class="testi-carousel testi-slider text-center <?php echo esc_attr($extra_class); ?>">
		<?php       	
        foreach ( $testimonials as $data ) {
            $data['name'] = isset( $data['name'] ) ? $data['name'] : '';
            $data['desc'] = isset( $data['desc'] ) ? $data['desc'] : '';
            $img = wp_get_attachment_image_src($data['avatar'],'full');
            $img = $img[0];
      	?>
	        <div class="item">			
	            <?php if($data['avatar'] != ''){ ?><img src="<?php echo esc_url($img); ?>" alt="<?php echo $data['name']; ?>" class="img-circle"><?php } ?>				
	            <?php if($data['desc'] != ''){ ?><blockquote><?php echo $data['desc']; ?></blockquote><?php } ?>
                <?php if($data['name'] != ''){ ?><span class="testi-by"><?php echo $data['name']; ?></span><?php } ?>
	        </div>
        <?php } ?>
    </div>

<?php
    return ob_get_clean();
}

// OT Social List
add_shortcode('ot_socials', 'ot_socials_func');
function ot_socials_func($atts, $content = null){
   	extract(shortcode_atts(array(
      'title'   => '',
      'socials' => '',
      'extra_class'  => '',
      'social_target' => '_self',
   	), $atts));
   	$socials = (array) vc_param_group_parse_atts( $socials );   
   	ob_start(); 
?>
	
	<div class="social-icons <?php echo esc_attr($extra_class); ?>">                            
		<?php       	
	        foreach ( $socials as $data ) {
	            $data['social_icon'] = isset( $data['social_icon'] ) ? $data['social_icon'] : '';
	            $data['social_url'] = isset( $data['social_url'] ) ? $data['social_url'] : '';            
      	?>	
      		<?php if($data['social_url'] != ''){ ?><a target="<?php if($social_target != '_self'){ echo '_blank'; }else{ echo '_self'; } ?>" href="<?php echo $data['social_url']; ?>"><i class="fa fa-<?php echo $data['social_icon']; ?>"></i></a><?php } ?>
        <?php } ?>
    </div>

<?php
    return ob_get_clean();
}

// Google Map (Use)
add_shortcode('ggmap','ggmap_func');
function ggmap_func($atts, $content = null){
    extract( shortcode_atts( array(
	  'height'		=> '',	
      'lat'   		=> '',
      'long'	  	=> '',
      'zoom'		=> '',
	  'icon'		=> '',
	  'style'		=> 'dark',
	  'gmap_custom_style' => '',
   ), $atts ) );
      
	$id = uniqid( 'map-' );
	$gmap_custom_style1 = rawurldecode( base64_decode( strip_tags( $gmap_custom_style ) ) );
	$icon1 = wp_get_attachment_image_src($icon,'full');
	$icon1 = $icon1[0];
   		
    ob_start(); ?>
    	 
    <div class="blessing_gmap" id="<?php echo esc_attr($id); ?>" style="<?php if($height != ''){ echo 'height: '.$height.'px;'; } ?>"></div>

    <script type="text/javascript">	
		(function($) {
	    "use strict"
		    $(document).ready(function(){
		    	// When the window has finished loading create our google map below
		        google.maps.event.addDomListener(window, 'load', init);

		        function init() {
					'use strict'; // use strict mode
					
		            // Basic options for a simple Google Map
		            // For more options see: https://developers.google.com/maps/documentation/javascript/reference#MapOptions
		            var myLatlng = new google.maps.LatLng(<?php echo esc_js( $lat );?>, <?php echo esc_js( $long );?>);

		            var mapOptions = {
		                // How zoomed in you want the map to start at (always required)
		                zoom: <?php echo esc_js( $zoom );?>,
		                disableDefaultUI: false,
						scrollwheel: false,

		                // The latitude and longitude to center the map (always required)

		                center: myLatlng, // New York

		                // How you would like to style the map. 
		                // This is where you would paste any style found on Snazzy Maps.
		                styles: 
		                	<?php if($style == 'light'){ ?>
								[
								    {
								        "featureType": "water",
								        "elementType": "geometry",
								        "stylers": [
								            {
								                "color": "#e9e9e9"
								            },
								            {
								                "lightness": 17
								            }
								        ]
								    },
								    {
								        "featureType": "landscape",
								        "elementType": "geometry",
								        "stylers": [
								            {
								                "color": "#f5f5f5"
								            },
								            {
								                "lightness": 20
								            }
								        ]
								    },
								    {
								        "featureType": "road.highway",
								        "elementType": "geometry.fill",
								        "stylers": [
								            {
								                "color": "#ffffff"
								            },
								            {
								                "lightness": 17
								            }
								        ]
								    },
								    {
								        "featureType": "road.highway",
								        "elementType": "geometry.stroke",
								        "stylers": [
								            {
								                "color": "#ffffff"
								            },
								            {
								                "lightness": 29
								            },
								            {
								                "weight": 0.2
								            }
								        ]
								    },
								    {
								        "featureType": "road.arterial",
								        "elementType": "geometry",
								        "stylers": [
								            {
								                "color": "#ffffff"
								            },
								            {
								                "lightness": 18
								            }
								        ]
								    },
								    {
								        "featureType": "road.local",
								        "elementType": "geometry",
								        "stylers": [
								            {
								                "color": "#ffffff"
								            },
								            {
								                "lightness": 16
								            }
								        ]
								    },
								    {
								        "featureType": "poi",
								        "elementType": "geometry",
								        "stylers": [
								            {
								                "color": "#f5f5f5"
								            },
								            {
								                "lightness": 21
								            }
								        ]
								    },
								    {
								        "featureType": "poi.park",
								        "elementType": "geometry",
								        "stylers": [
								            {
								                "color": "#dedede"
								            },
								            {
								                "lightness": 21
								            }
								        ]
								    },
								    {
								        "elementType": "labels.text.stroke",
								        "stylers": [
								            {
								                "visibility": "on"
								            },
								            {
								                "color": "#ffffff"
								            },
								            {
								                "lightness": 16
								            }
								        ]
								    },
								    {
								        "elementType": "labels.text.fill",
								        "stylers": [
								            {
								                "saturation": 36
								            },
								            {
								                "color": "#333333"
								            },
								            {
								                "lightness": 40
								            }
								        ]
								    },
								    {
								        "elementType": "labels.icon",
								        "stylers": [
								            {
								                "visibility": "off"
								            }
								        ]
								    },
								    {
								        "featureType": "transit",
								        "elementType": "geometry",
								        "stylers": [
								            {
								                "color": "#f2f2f2"
								            },
								            {
								                "lightness": 19
								            }
								        ]
								    },
								    {
								        "featureType": "administrative",
								        "elementType": "geometry.fill",
								        "stylers": [
								            {
								                "color": "#fefefe"
								            },
								            {
								                "lightness": 20
								            }
								        ]
								    },
								    {
								        "featureType": "administrative",
								        "elementType": "geometry.stroke",
								        "stylers": [
								            {
								                "color": "#fefefe"
								            },
								            {
								                "lightness": 17
								            },
								            {
								                "weight": 1.2
								            }
								        ]
								    }
								]

							<?php }elseif($style=='dark'){ ?>
								[{
									"stylers": [
										{
											"hue": "#ff1a00"
										},
										{
											"invert_lightness": true
										},
										{
											"saturation": -100
										},
										{
											"lightness": 33
										},
										{
											"gamma": 0.5
										}
									]
								},
								{
									"featureType": "water",
									"elementType": "geometry",
									"stylers": [
										{
											"color": "#2D333C"
										}
									]
								}]
							<?php }else{ 
								echo $gmap_custom_style1;
							} ?>						
		            };

		            // Get the HTML DOM element that will contain your map 
		            // We are using a div with id="map" seen below in the <body>
		            var mapElement = document.getElementById('<?php echo esc_attr($id); ?>');

		            // Create the Google Map using out element and options defined above
		            var map = new google.maps.Map(mapElement, mapOptions);

		            var marker = new google.maps.Marker({
		                position: myLatlng,
		                map: map,
						icon: '<?php echo esc_js( $icon1 );?>',
		                title: 'Your item position'
		            });
		        }		        
	        });
	    })(jQuery);   	
   	</script>
<?php
    return ob_get_clean();
}